//+------------------------------------------------------------------+
//|                      tro_abc_dots                                |
//|                                                                  | 
//|   Copyright  2009, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+  

#property  copyright "Copyright  2009, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/"  


#property indicator_chart_window 
#property indicator_buffers 8

 

extern bool   Show.PriceBox  = true ;
extern int    myBoxWidth     = 3;
 
extern int myBars1   = 34;   
extern int myBars2   = 89;  
extern int myBars3   = 233;   
extern int myBars4   = 987;  

extern int myStyle1  = 2 ;
extern int myStyle2  = 2 ;


extern int myWingDing1  = 171 ;
extern int myWingDing2  = 171 ;


extern color myColor1 = Yellow;
extern color myColor2 = Orange;
extern color myColor3 = Purple;
extern color myColor4 = White;
 
//---- buffers

double P0Buffer[];
double P1Buffer[];
double P2Buffer[];
double P3Buffer[];
double P4Buffer[];
double P5Buffer[];
double P6Buffer[];
double P7Buffer[];
 

string tPIVOT0 = "PIVOT_0" ;
string tPIVOT1 = "PIVOT_1" ;
string tPIVOT2 = "PIVOT_2" ;
string tPIVOT3 = "PIVOT_3" ;
string tPIVOT4 = "PIVOT_4" ;
string tPIVOT5 = "PIVOT_5" ;
string tPIVOT6 = "PIVOT_6" ;
string tPIVOT7 = "PIVOT_7" ;

string symbol, tChartPeriod, ShortName ;  
 

double point, point2, value ;

double open, close, diff,   HH, LL ;  

int     digits, period, win, digits2, n, j, i, k, nHH, nLL ; 


//+------------------------------------------------------------------+
int init()
  {
//---- name for indicator window

   

   period = Period() ;    
  
   symbol       =  Symbol() ;
   digits       =  Digits ;
   point        =  Point ;
 

   if(digits == 5 || digits == 3) { digits = digits - 1 ; point = point * 10 ; }    


   string short_name=" ";
   IndicatorShortName(short_name);
   
SetIndexBuffer(0, P0Buffer);
SetIndexBuffer(1, P1Buffer);
SetIndexBuffer(2, P2Buffer);
SetIndexBuffer(3, P3Buffer);
SetIndexBuffer(4, P4Buffer);
SetIndexBuffer(5, P5Buffer);
SetIndexBuffer(6, P6Buffer);
SetIndexBuffer(7, P7Buffer);

 
SetIndexArrow(0, myWingDing1); 
SetIndexArrow(1, myWingDing2); 
SetIndexArrow(2, myWingDing1); 
SetIndexArrow(3, myWingDing2); 
SetIndexArrow(4, myWingDing1); 
SetIndexArrow(5, myWingDing2); 
SetIndexArrow(6, myWingDing1); 
SetIndexArrow(7, myWingDing2); 


SetIndexStyle(0, DRAW_ARROW, myStyle1, 1, myColor1 );
SetIndexStyle(1, DRAW_ARROW, myStyle2, 1, myColor1 );   
SetIndexStyle(2, DRAW_ARROW, myStyle1, 1, myColor2 );
SetIndexStyle(3, DRAW_ARROW, myStyle2, 1, myColor2 );   
SetIndexStyle(4, DRAW_ARROW, myStyle1, 1, myColor3 );
SetIndexStyle(5, DRAW_ARROW, myStyle2, 1, myColor3 );
SetIndexStyle(6, DRAW_ARROW, myStyle1, 1, myColor4 );
SetIndexStyle(7, DRAW_ARROW, myStyle2, 1, myColor4 ); 

   
   return(0);
  }
 
//+------------------------------------------------------------------+
int deinit()
  {
   
 
   ObjectDelete(tPIVOT0);
   ObjectDelete(tPIVOT1);
   ObjectDelete(tPIVOT2);
   ObjectDelete(tPIVOT3);
   ObjectDelete(tPIVOT4);
   ObjectDelete(tPIVOT5);
   ObjectDelete(tPIVOT6);
   ObjectDelete(tPIVOT7);        
   
   
   
      
   return(0);
  }
 
 
 
 
//+------------------------------------------------------------------+
int start()
  {
 
   int  counted_bars=IndicatorCounted(); 

   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   
   for(i=0; i<limit; i++)
   {
       DoHHLL( symbol, i, myBars1 ) ;  
       P0Buffer[i] = HH ;
	    P1Buffer[i] = LL ;
	         
       DoHHLL( symbol, i, myBars2 ) ;  
       P2Buffer[i] = HH ;
	    P3Buffer[i] = LL ;     
	    	    
       DoHHLL( symbol, i, myBars3 ) ;  
       P4Buffer[i] = HH ;
	    P5Buffer[i] = LL ;  
	       
       DoHHLL( symbol, i, myBars4 ) ;  
       P6Buffer[i] = HH ;
	    P7Buffer[i] = LL ; 	    	    
	        
	}


if(Show.PriceBox)  
{ 
  if (ObjectFind(tPIVOT0) != 0)
      {
          ObjectCreate(tPIVOT0,OBJ_ARROW,0,Time[0],P0Buffer[0]);
          ObjectSet(tPIVOT0,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE );
          ObjectSet(tPIVOT0,OBJPROP_WIDTH,myBoxWidth);  
          ObjectSet(tPIVOT0,OBJPROP_COLOR,myColor1);  
      } 
      else
      {
         ObjectMove(tPIVOT0,0,Time[0],P0Buffer[0]);
      }
 

    
    if (ObjectFind(tPIVOT1) != 0)
      {
          ObjectCreate(tPIVOT1,OBJ_ARROW,0,Time[0],P1Buffer[0]);
          ObjectSet(tPIVOT1,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet(tPIVOT1,OBJPROP_WIDTH,myBoxWidth);            
          ObjectSet(tPIVOT1,OBJPROP_COLOR,myColor2);  
      } 
      else
      {
         ObjectMove(tPIVOT1,0,Time[0],P1Buffer[0]);
      }

  if (ObjectFind(tPIVOT2) != 0)
      {
          ObjectCreate(tPIVOT2,OBJ_ARROW,0,Time[0],P2Buffer[0]);
          ObjectSet(tPIVOT2,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE );
          ObjectSet(tPIVOT2,OBJPROP_WIDTH,myBoxWidth);  
          ObjectSet(tPIVOT2,OBJPROP_COLOR,myColor2);  
      } 
      else
      {
         ObjectMove(tPIVOT2,0,Time[0],P2Buffer[0]);
      }
 

    
    if (ObjectFind(tPIVOT3) != 0)
      {
          ObjectCreate(tPIVOT3,OBJ_ARROW,0,Time[0],P3Buffer[0]);
          ObjectSet(tPIVOT3,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet(tPIVOT3,OBJPROP_WIDTH,myBoxWidth);            
          ObjectSet(tPIVOT3,OBJPROP_COLOR,myColor2);  
      } 
      else
      {
         ObjectMove(tPIVOT3,0,Time[0],P3Buffer[0]);
      }
      
      
  if (ObjectFind(tPIVOT4) != 0)
      {
          ObjectCreate(tPIVOT4,OBJ_ARROW,0,Time[0],P4Buffer[0]);
          ObjectSet(tPIVOT4,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE );
          ObjectSet(tPIVOT4,OBJPROP_WIDTH,myBoxWidth);  
          ObjectSet(tPIVOT4,OBJPROP_COLOR,myColor3);  
      } 
      else
      {
         ObjectMove(tPIVOT4,0,Time[0],P4Buffer[0]);
      }
 

    
    if (ObjectFind(tPIVOT5) != 0)
      {
          ObjectCreate(tPIVOT5,OBJ_ARROW,0,Time[0],P5Buffer[0]);
          ObjectSet(tPIVOT5,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet(tPIVOT5,OBJPROP_WIDTH,myBoxWidth);            
          ObjectSet(tPIVOT5,OBJPROP_COLOR,myColor3);  
      } 
      else
      {
         ObjectMove(tPIVOT5,0,Time[0],P5Buffer[0]);
      }	         
      
	    
  if (ObjectFind(tPIVOT6) != 0)
      {
          ObjectCreate(tPIVOT6,OBJ_ARROW,0,Time[0],P6Buffer[0]);
          ObjectSet(tPIVOT6,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE );
          ObjectSet(tPIVOT6,OBJPROP_WIDTH,myBoxWidth);  
          ObjectSet(tPIVOT6,OBJPROP_COLOR,myColor4);  
      } 
      else
      {
         ObjectMove(tPIVOT6,0,Time[0],P6Buffer[0]);
      }
 

    
    if (ObjectFind(tPIVOT7) != 0)
      {
          ObjectCreate(tPIVOT7,OBJ_ARROW,0,Time[0],P7Buffer[0]);
          ObjectSet(tPIVOT7,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet(tPIVOT7,OBJPROP_WIDTH,myBoxWidth);            
          ObjectSet(tPIVOT7,OBJPROP_COLOR,myColor4);  
      } 
      else
      {
         ObjectMove(tPIVOT7,0,Time[0],P7Buffer[0]);
      }	          
      	    
} // 
 
    
   return(0);
  }

//+------------------------------------------------------------------+
void DoHHLL( string dsSymbol, int d, int BarsBack )
{
 nHH      =  Highest(dsSymbol,0,MODE_HIGH,BarsBack+1,d); 
 nLL      =  Lowest(dsSymbol,0,MODE_LOW,BarsBack+1,d); 
 
 HH       = iHigh(dsSymbol,0,nHH); 
 LL       = iLow(dsSymbol,0,nLL); 		 
}   

//+------------------------------------------------------------------+